<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">

    <!-- START : common code for all summaries which need to shown -->
    <html>

      <head>
        <style>
          .VxSummaryPageTitle		      {font-family:'Tahoma';font-size:11px;font-weight:bold;}
          .VxSummaryCenterPageTitle		{font-family:'Tahoma';font-size:11px;font-weight:bold;align:"center";}
          .VxSummaryItemTitle		      {font-family:'Tahoma';font-size:11px;color:#878878;}

          .VxSummaryContentTD0 		    {font-family:'Tahoma';width:"0%"; font-size:11px;align:"left";}
          .VxSummaryContentTD1 		    {font-family:'Tahoma';font-size:11px;background-Color:#FFE38C;}
          .VxSummaryContentTD2 		    {font-family:'Tahoma';width:"0%"; font-size:11px;font-weight:bold;}

          .VxSummaryContent 		      {font-family:'Tahoma';font-size:11px;align:"left";}
          .VxSummaryBold		          {font-family:'Tahoma';font-size:11px;font-weight:bold;align:"center";}
          .VxSummaryItemTable		      {font-family:'Tahoma';width:"100%"; border:"0";}
          .VxSummaryTDBoldContent 	  {font-family:'Tahoma';width:"0%"; font-size:11px;font-weight:bold;vertical-align:"top"}
          .VxSummaryTDContent 		    {font-family:'Tahoma';width:"0%"; font-size:11px;align:"left";vertical-align:"top"}
          .VxSummaryTDRedBoldContent 	  {font-family:'Tahoma';width:"0%"; font-size:11px;font-weight:bold;vertical-align:"top";color:#FF0000}

          .VxSummaryTDWarning 		    {font-family:'Tahoma';width:"0%"; font-size:11px;align:"left";vertical-align:"top"}
          .VxSummaryTDRedWarning 	  {font-family:'Tahoma';width:"0%"; font-size:11px;vertical-align:"top";color:#FF0000}
	  .VxSummaryTDBfFilledWarning 	  {font-family:'Tahoma';width:"0%"; font-size:11px;vertical-align:"top";background-Color:#fbfadb;}

          .VxSummaryTDBkColContent 		{font-family:'Tahoma';font-size:11px;background-Color:#FFE38C;}


          .VxSummaryBoldContentTD		{width:"0%"; font-size:11px;align:"left";font-weight:bold;}
          .VxPrinterIcon			{cursor:hand}
          .VxSummaryText			{font-family:'Tahoma';font-size:11px;}
          .VxFFC_Body			{cursor="default";border-style:solid; border-width:1px; border-color:gray; background-Color:white }
        </style>
      </head>
      <body oncontextmenu="return false" class="VxFFC_Body">
        <!-- END : common code for all summaries which need to shown -->



        <p class="VxSummaryCenterPageTitle">
          <xsl:value-of select="/ReportInXml/ReportName"/>
        </p>
        <hr></hr>

        <table class="VxSummaryItemTable">

          <xsl:if test="/ReportInXml/FailedHosts/Host">
            <tr>
              <td class="VxSummaryTDContent">
                <xsl:value-of select="/ReportInXml/UserDefinedTitles/FailedHosts"/>
              </td>
              <td class="VxSummaryTDRedBoldContent">
                <xsl:for-each select="/ReportInXml/FailedHosts/Host">
                  <xsl:value-of select="."/>&#160;
                </xsl:for-each>
              </td>
            </tr>
          </xsl:if>

          <tr>
            <td class="VxSummaryTDContent">
              <xsl:value-of select="/ReportInXml/UserDefinedTitles/StartTime"/>
            </td>
            <td class="VxSummaryTDBoldContent">
              <xsl:value-of select="/ReportInXml/StartTime"/>
            </td>
          </tr>

	  <tr>
            <td class="VxSummaryTDContent">
              <xsl:value-of select="/ReportInXml/UserDefinedTitles/LogLocation"/>
            </td>
            <td class="VxSummaryTDBoldContent">
              <a>
                <xsl:attribute name="href">
                  <xsl:value-of select="/ReportInXml/LogLocation"/>
                </xsl:attribute>
                <xsl:attribute name="target">
                  _blank
                </xsl:attribute>
                <xsl:value-of select="/ReportInXml/LogLocation"/>
              </a>
            </td>
          </tr>
	
	 

          <xsl:if test="/ReportInXml/WarningTag">
 	<tr>
            <td colspan="2">
              <hr></hr>
            </td>
          </tr>	
            <tr>
              <td class="VxSummaryTDBkColContent" colspan="2">
		<B>
                <xsl:value-of select="/ReportInXml/WarningTag"/>
		</B>
              </td>
	      </tr>
	      <tr>
              <td class="VxSummaryTDBfFilledWarning" colspan="2">
		<ul style="margin-bottom: 0; margin-top: 0;">
		<xsl:if test="/ReportInXml/Warning">
                <li>
                  <xsl:value-of select="/ReportInXml/Warning"/>

		  <xsl:if test="/ReportInXml/WarningURL">
		  &#160;
                <a>
                  <xsl:attribute name="href">
                    <xsl:value-of select="/ReportInXml/WarningURL"/>
                  </xsl:attribute>
                  <xsl:attribute name="target">
                    _blank
                  </xsl:attribute>
		  <xsl:value-of select="/ReportInXml/WarningURL"/>
                </a>
                </xsl:if>
		<br></br>
		<br></br>
                </li>
		</xsl:if>
		
		<xsl:if test="contains(/ReportInXml/ReportType , 'pre')">
		<xsl:if test="/ReportInXml/PreWarning">
			<xsl:for-each select="/ReportInXml/PreWarning">
			<li>
			<xsl:value-of select="." disable-output-escaping="yes"/>
			<br></br>
			<br></br>
			</li>
			</xsl:for-each>
                </xsl:if>
		</xsl:if>	

		<xsl:if test="/ReportInXml/VrtsWarning">
		
		<xsl:for-each select="/ReportInXml/VrtsWarning">
                    <li>
			<xsl:value-of select="." disable-output-escaping="yes"/>
			<br></br>
			<br></br>
			</li>
                  </xsl:for-each>
		            
		</xsl:if>
		</ul>
              </td>
            </tr>
          </xsl:if>
        </table>

        <hr></hr>

        <p class="VxSummaryCenterPageTitle">
          <xsl:value-of select="/ReportInXml/UserDefinedTitles/SelectedHosts"/>
        </p>
        <table class="VxSummaryItemTable">
          <xsl:for-each select="/ReportInXml/SelectedHosts/Host">
            <tr>
              <td class="VxSummaryTDBkColContent" colspan="2">
                <!-- following id is used to scroll per host summary -->
                <xsl:attribute name="id">
                  <xsl:value-of select="Name"/>
                  <xsl:value-of select="Domain"/>
                </xsl:attribute>
                <B>
                  <xsl:value-of select="Name"/>
                </B>
              </td>
            </tr>

            <!--  overall status-->
            <xsl:if test="OperationStatus">
              <tr>
                <td class="VxSummaryTDContent">
                  <xsl:value-of select="OperationStatus/Title"/>
                </td>
                <td class="VxSummaryTDBoldContent">
                  <xsl:value-of select="OperationStatus/Status"/>
                </td>
              </tr>
            </xsl:if>
            <!--  reboot status-->
            <xsl:if test="RebootStatus">
              <!--  if reboot status is empty that means installation failed so dont show reboot status-->
              <xsl:if test="string(RebootStatus/Status)">
                <tr>
                  <td class="VxSummaryTDContent">
                    <xsl:value-of select="RebootStatus/Title"/>
                  </td>
                  <td class="VxSummaryTDBoldContent">
                    <xsl:value-of select="RebootStatus/Status"/>
                  </td>
                </tr>
              </xsl:if>
            </xsl:if>

            <xsl:if test="OS">
              <tr>
                <td class="VxSummaryTDContent">
                  <xsl:value-of select="/ReportInXml/UserDefinedTitles/OS"/>
                </td>
                <td class="VxSummaryTDBoldContent">
                  <xsl:value-of select="OS"/>
                </td>
              </tr>
            </xsl:if>
            <tr>
              <td class="VxSummaryTDContent">
                <xsl:value-of select="/ReportInXml/UserDefinedTitles/Domain"/>
              </td>
              <td class="VxSummaryTDBoldContent">
                <xsl:value-of select="Domain"/>
              </td>
            </tr>
            <tr>
              <td class="VxSummaryTDContent">
                <xsl:value-of select="/ReportInXml/UserDefinedTitles/SelectedInstallPath"/>
              </td>
              <td class="VxSummaryTDBoldContent">
                <xsl:value-of select="SelectedInstallPath"/>
              </td>
            </tr>

            <!--dont show free space in uninstallation-->
            <xsl:if test="not(contains(/ReportInXml/InstallMode , '5'))">
              <!--show free space on pre report only-->
              <xsl:if test="contains(/ReportInXml/ReportType , 'pre')">
                <xsl:if test="SelectedDrive">
                  <tr>
                    <td class="VxSummaryTDContent">
                      <xsl:value-of select="/ReportInXml/UserDefinedTitles/SelectedDriveFree"/>
                      (<xsl:value-of select="SelectedDrive/Name"/>):
                    </td>
                    <td class="VxSummaryTDBoldContent">
                      <xsl:value-of select="SelectedDrive/FreeSpace"/>
                    </td>
                  </tr>
                </xsl:if>

                <xsl:if test="SystemDrive">
                  <tr>
                    <td class="VxSummaryTDContent">
                      <xsl:value-of select="/ReportInXml/UserDefinedTitles/SystemDriveFree"/>
                      (<xsl:value-of select="SystemDrive/Name"/>):
                    </td>
                    <td class="VxSummaryTDBoldContent">
                      <xsl:value-of select="SystemDrive/FreeSpace"/>
                    </td>
                  </tr>
                </xsl:if>

              </xsl:if>
            </xsl:if>

            <xsl:if test="SelectedSolutions/Name">
              <tr>
                <td colspan="2">

                  <LI class="VxSummaryBold">
                    <xsl:value-of select="/ReportInXml/UserDefinedTitles/SelectedSolutions"/>
                  </LI>
                  <br></br>
                  <xsl:for-each select="SelectedSolutions/Name">
                    <xsl:sort select="."/>
                    <span style="font-weight:normal">
                      &#160;&#160;&#160;-&#160;<xsl:value-of select="."/>
                    </span>
                    <br></br>

                  </xsl:for-each>

                </td>
              </tr>
            </xsl:if>
            <xsl:if test="SelectedOptions/Name">
              <tr>
                <td colspan="2">

                  <LI class="VxSummaryBold">
                    <xsl:value-of select="/ReportInXml/UserDefinedTitles/SelectedOptions"/>
                  </LI>
                  <br></br>
                  <xsl:for-each select="SelectedOptions/Name">
                    <xsl:sort select="."/>
                    <span style="font-weight:normal">
                      &#160;&#160;&#160;-&#160;<xsl:value-of select="."/>
                    </span>
                    <br></br>

                  </xsl:for-each>

                </td>
              </tr>
            </xsl:if>
            
            <xsl:choose>
              <xsl:when test="contains(/ReportInXml/ReportType , 'post') and contains(/ReportInXml/InstallMode , '5')">
                
              </xsl:when>

              <xsl:otherwise>
                <xsl:if test="InstalledSolutions/Name">
                  <tr>
                    <td colspan="2">
                      <LI class="VxSummaryBold">
                        <xsl:value-of select="/ReportInXml/UserDefinedTitles/InstalledSolutions"/>
                      </LI>
                      <br></br>


                      <xsl:for-each select="InstalledSolutions/Name">
                        <xsl:sort select="."/>
                        <span style="font-weight:normal">
                          &#160;&#160;&#160;-&#160;<xsl:value-of select="."/>
                        </span>
                        <br></br>
                      </xsl:for-each>

                    </td>
                  </tr>
                </xsl:if>


                <xsl:if test="InstalledOptions/Name">
                  <tr>
                    <td colspan="2">
                      <LI class="VxSummaryBold">
                        <xsl:value-of select="/ReportInXml/UserDefinedTitles/InstalledOptions"/>
                      </LI>
                      <br></br>

                      <xsl:for-each select="InstalledOptions/Name">
                        <xsl:sort select="."/>
                        <span style="font-weight:normal">
                          &#160;&#160;&#160;-&#160;<xsl:value-of select="."/>
                        </span>
                        <br></br>
                      </xsl:for-each>

                    </td>
                  </tr>
                </xsl:if>

              </xsl:otherwise>
                </xsl:choose>


            <!--  blank row for spacing-->

            <tr>
              <td class="VxSummaryTDBoldContent">
                <br></br>
              </td>
              <td class="VxSummaryTDContent">
                <br></br>
              </td>
            </tr>
            <xsl:if test="OperationStatus">
              <!-- detailed status-->
              <tr>
                <td colspan="2">
                  <P class="VxSummaryBold">
                    <xsl:value-of select="OperationStatus/DetailOperationStatus/Title"/>
                  </P>
                  <UL>
                    <xsl:if test="OperationStatus/DetailOperationStatus/PreOperationStatus/Operation">
                      <LI class="VxSummaryBold">
                        <xsl:value-of select="OperationStatus/DetailOperationStatus/PreOperationStatus/Title"/>
                      </LI>
                      <br></br>
                      <xsl:for-each select="OperationStatus/DetailOperationStatus/PreOperationStatus/Operation">
                        <xsl:if test="contains(IsSucceeded , 'true')">
                          <IMG HEIGHT="10" SRC="check.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                        </xsl:if>
                        <xsl:if test="contains(IsSucceeded , 'false')">
                          <IMG HEIGHT="10" SRC="uncheck.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                          <xsl:if test="string(FailureReason)">
                            <span style="font-weight:normal">
                              :&#160;
                            </span>
                            <span style="font-weight:bold">
                              <xsl:value-of select="FailureReason"/>
                            </span>
                          </xsl:if>
                        </xsl:if>
                        <br></br>
                      </xsl:for-each>
                    </xsl:if>

                    <br></br>
                    <xsl:if test="OperationStatus/DetailOperationStatus/OnOperationStatus/Operation">
                      <LI class="VxSummaryBold">
                        <xsl:value-of select="OperationStatus/DetailOperationStatus/OnOperationStatus/Title"/>
                      </LI>
                      <br></br>
                      <xsl:for-each select="OperationStatus/DetailOperationStatus/OnOperationStatus/Operation">
                        <xsl:if test="contains(IsSucceeded , 'true')">
                          <IMG HEIGHT="10" SRC="check.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                        </xsl:if>
                        <xsl:if test="contains(IsSucceeded , 'false')">
                          <IMG HEIGHT="10" SRC="uncheck.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                          <xsl:if test="string(FailureReason)">
                            <span style="font-weight:normal">
                              :&#160;
                            </span>
                            <span style="font-weight:bold">
                              <xsl:value-of select="FailureReason"/>
                            </span>
                          </xsl:if>
                        </xsl:if>
                        <br></br>
                      </xsl:for-each>
                    </xsl:if>

                    <br></br>
                    <xsl:if test="OperationStatus/DetailOperationStatus/PostOperationStatus/Operation">
                      <LI class="VxSummaryBold">
                        <xsl:value-of select="OperationStatus/DetailOperationStatus/PostOperationStatus/Title"/>
                      </LI>
                      <br></br>
                      <xsl:for-each select="OperationStatus/DetailOperationStatus/PostOperationStatus/Operation">
                        <xsl:if test="contains(IsSucceeded , 'true')">
                          <IMG HEIGHT="10" SRC="check.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                        </xsl:if>
                        <xsl:if test="contains(IsSucceeded , 'false')">
                          <IMG HEIGHT="10" SRC="uncheck.gif" WIDTH="10">
                            <span style="font-weight:normal">
                              &#160;<xsl:value-of select="Name"/>
                            </span>
                          </IMG>
                          <xsl:if test="string(FailureReason)">
                            <span style="font-weight:normal">
                              :&#160;
                            </span>
                            <span style="font-weight:bold">
                              <xsl:value-of select="FailureReason"/>
                            </span>
                          </xsl:if>
                        </xsl:if>
                        <br></br>
                      </xsl:for-each>
                    </xsl:if>
                  </UL>
                </td>
              </tr>
            </xsl:if>
            <!--end of status show-->
          </xsl:for-each>
        </table>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
